Subject: bug#27303: closed (Re: bug#27303: Package build phase timer gives incorrect results)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 11 Jun 2017 20:57:02 +0000

Your bug report

#27303: Package build phase timer gives incorrect results

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27303: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27303
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27303: Package build phase timer gives incorrect results
From: [email-masked] (Ludovic Courtès)
To: Leo Famulari <[email-masked]>
Cc: [email-masked]
Date: Sun, 11 Jun 2017 22:55:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Leo,

Leo Famulari <[email-masked]> skribis:

> Building swig on core-updates, I saw this result:
>
> ------
> BEGIN failed--compilation aborted at runme.pl line 3.
> make[3]: *** [../../Makefile:285: perl5_run] Error 2                                                               
> make[2]: *** [Makefile:10: check] Error 2                                                        
> make[1]: *** [Makefile:252: variables.actionexample] Error 2
> make: *** [Makefile:237: check-perl5-examples] Error 2                                                                                                              
> make: *** Waiting for unfinished jobs....                            
> starting swig testsuite hardlink
> starting testsuite cpp2                                                                                                                                                                         starting swig testsuite cpp2                                                                                                                                                                    starting testsuite nlevels4                                                                                                                                                                     starting testsuite nlevels1                                                                                                                                              
> test done - OK                                       
> make[1]: Leaving directory '/tmp/guix-build-swig-3.0.10.drv-0/swig-3.0.10/CCache'
> phase `check' failed after 120675000.0 seconds
> builder for `/gnu/store/zyak5xkiqw2y9b6pqb73x2ppr5sj8phg-swig-3.0.10.drv' failed with exit code 1
> @ build-failed /gnu/store/zyak5xkiqw2y9b6pqb73x2ppr5sj8phg-swig-3.0.10.drv - 1 builder for `/gnu/store/zyak5xkiqw2y9b6pqb73x2ppr5sj8phg-swig-3.0.10.drv' failed with exit code 1
> guix build: error: build failed: build of `/gnu/store/zyak5xkiqw2y9b6pqb73x2ppr5sj8phg-swig-3.0.10.drv' failed  
> ------
>
> Note that the check phase failed after 120675000.0 seconds. I know it
> didn't take 3.8 years.

You sure?  :-)

This is due to the infamous ‘time-monotonic’ bug in Guile 2.2.2, which
is already worked around in (guix build download) and a couple of other
places.

I pushed the fix in 2ac6998063c311799cefb8edbc5b0158230d3877.
Unfortunately that’s a full-rebuild change, but I thought it’s annoying
enough to fix right now.

After that we should start building all the packages on ‘core-updates’.

Thanks,
Ludo’.

Subject: Package build phase timer gives incorrect results
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Sat, 10 Jun 2017 00:24:31 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Building swig on core-updates, I saw this result:

------
BEGIN failed--compilation aborted at runme.pl line 3.
make[3]: *** [../../Makefile:285: perl5_run] Error 2                                                               
make[2]: *** [Makefile:10: check] Error 2                                                        
make[1]: *** [Makefile:252: variables.actionexample] Error 2
make: *** [Makefile:237: check-perl5-examples] Error 2                                                                                                              
make: *** Waiting for unfinished jobs....                            
starting swig testsuite hardlink
starting testsuite cpp2                                                                                                                                                                         starting swig testsuite cpp2                                                                                                                                                                    starting testsuite nlevels4                                                                                                                                                                     starting testsuite nlevels1                                                                                                                                              
test done - OK                                       
make[1]: Leaving directory '/tmp/guix-build-swig-3.0.10.drv-0/swig-3.0.10/CCache'
phase `check' failed after 120675000.0 seconds
builder for `/gnu/store/zyak5xkiqw2y9b6pqb73x2ppr5sj8phg-swig-3.0.10.drv' failed with exit code 1
@ build-failed /gnu/store/zyak5xkiqw2y9b6pqb73x2ppr5sj8phg-swig-3.0.10.drv - 1 builder for `/gnu/store/zyak5xkiqw2y9b6pqb73x2ppr5sj8phg-swig-3.0.10.drv' failed with exit code 1
guix build: error: build failed: build of `/gnu/store/zyak5xkiqw2y9b6pqb73x2ppr5sj8phg-swig-3.0.10.drv' failed  
------

Note that the check phase failed after 120675000.0 seconds. I know it
didn't take 3.8 years.